Page MenuHomePhabricator

Can't reply to comments on wikis with digit transforms using new reply API (ckb.wp)
Closed, ResolvedPublic

Description

While working on T259818 I realized that the PHP version of our code for parsing dates doesn't work correctly when the language uses different digits than 0-9. Only the JS version works correctly.

As a result, when the new reply API is deployed, it will no longer be possible to reply to anything using DiscussionTools on those wikis.

Among the wikis where DiscussionTools are available, only ckb.wp is affected, and it does not have a beta cluster wiki, so we haven't noticed this in testing. (ar.wp is not affected, because the digit transform is disabled there.)

The issue can be reproduced on beta fa.wp though: https://fa.wikipedia.beta.wmflabs.org/wiki/بحث:صفحهٔ_اصلی?dtenable=1

Deployment timing

  • This patch should be deployed in conjunction with T252558 during one of 2-September's backport windows [i]

i. https://wikitech.wikimedia.org/wiki/Deployments#Wednesday,_September_02

Event Timeline

matmarex created this task.Aug 31 2020, 9:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2020, 9:51 PM
matmarex claimed this task.Aug 31 2020, 9:51 PM
matmarex updated the task description. (Show Details)

Change 623460 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Fix parsing localised digits in PHP discussion parser

https://gerrit.wikimedia.org/r/623460

Change 623467 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Add integration tests using pages from ckb.wp

https://gerrit.wikimedia.org/r/623467

Change 623460 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Fix parsing localised digits in PHP discussion parser

https://gerrit.wikimedia.org/r/623460

Change 623467 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Add integration tests using pages from ckb.wp

https://gerrit.wikimedia.org/r/623467

Deployment timing
Now that QA on T252558 has finished [i], we'd like for this patch to be deployed during on of tomorrow's (2-September) backport windows.

The task description has been updated to include the above.


i. T252558#6428396

ppelberg updated the task description. (Show Details)Sep 1 2020, 11:44 PM

Change 623561 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@wmf/1.36.0-wmf.6] Fix parsing localised digits in PHP discussion parser

https://gerrit.wikimedia.org/r/623561

Change 623561 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@wmf/1.36.0-wmf.6] Fix parsing localised digits in PHP discussion parser

https://gerrit.wikimedia.org/r/623561

ppelberg closed this task as Resolved.Sep 5 2020, 12:35 AM